diff --git a/deskutils/kaddressbook/pkg-plist b/deskutils/kaddressbook/pkg-plist
index 7ae29895e17e..f0929661eac1 100644
--- a/deskutils/kaddressbook/pkg-plist
+++ b/deskutils/kaddressbook/pkg-plist
@@ -1,41 +1,36 @@
 bin/kaddressbook
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ContactFields
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ContactList
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ContactSelectionDialog
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ContactSelectionWidget
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ExportSelectionWidget
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/ImportExportEngine
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/Plugin
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/PluginInterface
-include/KPim5/KAddressBookImportExport/KAddressBookImportExport/PluginManager
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/contactfields.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/contactlist.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/contactselectiondialog.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/contactselectionwidget.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/exportselectionwidget.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/importexportengine.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/kaddressbook_importexport_export.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/plugin.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/plugininterface.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport/pluginmanager.h
-include/KPim5/KAddressBookImportExport/kaddressbookimportexport_version.h
-lib/cmake/KPim5AddressbookImportExport/KPim5AddressbookImportExportConfig.cmake
-lib/cmake/KPim5AddressbookImportExport/KPim5AddressbookImportExportConfigVersion.cmake
-lib/cmake/KPim5AddressbookImportExport/KPim5AddressbookImportExportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5AddressbookImportExport/KPim5AddressbookImportExportTargets.cmake
-lib/cmake/KPimAddressbookImportExport/KPimAddressbookImportExportConfig.cmake
-lib/cmake/KPimAddressbookImportExport/KPimAddressbookImportExportConfigVersion.cmake
-lib/cmake/KPimAddressbookImportExport/KPimAddressbookImportExportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPimAddressbookImportExport/KPimAddressbookImportExportTargets.cmake
-lib/libKPim5AddressbookImportExport.so
-lib/libKPim5AddressbookImportExport.so.5
-lib/libKPim5AddressbookImportExport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libkaddressbookprivate.so.5
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ContactFields
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ContactList
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ContactSelectionDialog
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ContactSelectionWidget
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ExportSelectionWidget
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/ImportExportEngine
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/Plugin
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/PluginInterface
+include/KPim6/KAddressBookImportExport/KAddressBookImportExport/PluginManager
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/contactfields.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/contactlist.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/contactselectiondialog.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/contactselectionwidget.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/exportselectionwidget.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/importexportengine.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/kaddressbook_importexport_export.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/plugin.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/plugininterface.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport/pluginmanager.h
+include/KPim6/KAddressBookImportExport/kaddressbookimportexport_version.h
+lib/cmake/KPim6AddressbookImportExport/KPim6AddressbookImportExportConfig.cmake
+lib/cmake/KPim6AddressbookImportExport/KPim6AddressbookImportExportConfigVersion.cmake
+lib/cmake/KPim6AddressbookImportExport/KPim6AddressbookImportExportTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6AddressbookImportExport/KPim6AddressbookImportExportTargets.cmake
+lib/libKPim6AddressbookImportExport.so
+lib/libKPim6AddressbookImportExport.so.6
+lib/libKPim6AddressbookImportExport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libkaddressbookprivate.so.6
 lib/libkaddressbookprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KAddressbookImportExport.pri
 %%QT_PLUGINDIR%%/kaddressbookpart.so
-%%QT_PLUGINDIR%%/pim5/kcms/kaddressbook/kaddressbook_config_plugins.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_kaddressbookplugin.so
+%%QT_PLUGINDIR%%/pim6/kcms/kaddressbook/kaddressbook_config_plugins.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_kaddressbookplugin.so
 share/applications/kaddressbook-importer.desktop
 share/applications/kaddressbook-view.desktop
 share/applications/org.kde.kaddressbook.desktop
@@ -66,6 +61,7 @@ share/icons/hicolor/scalable/apps/kaddressbook.svg
 %%DATADIR%%/viewertemplates/default/theme.desktop
 share/locale/af/LC_MESSAGES/kaddressbook.mo
 share/locale/ar/LC_MESSAGES/kaddressbook.mo
+share/locale/ast/LC_MESSAGES/kaddressbook.mo
 share/locale/az/LC_MESSAGES/kaddressbook.mo
 share/locale/be/LC_MESSAGES/kaddressbook.mo
 share/locale/bg/LC_MESSAGES/kaddressbook.mo
@@ -140,5 +136,5 @@ share/locale/xh/LC_MESSAGES/kaddressbook.mo
 share/locale/zh_CN/LC_MESSAGES/kaddressbook.mo
 share/locale/zh_TW/LC_MESSAGES/kaddressbook.mo
 share/metainfo/org.kde.kaddressbook.appdata.xml
-share/qlogging-categories5/kaddressbook.categories
-share/qlogging-categories5/kaddressbook.renamecategories
+share/qlogging-categories6/kaddressbook.categories
+share/qlogging-categories6/kaddressbook.renamecategories
diff --git a/deskutils/kalarm/Makefile b/deskutils/kalarm/Makefile
index f7ec9b2a4bf5..612ab99b2373 100644
--- a/deskutils/kalarm/Makefile
+++ b/deskutils/kalarm/Makefile
@@ -6,25 +6,25 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Personal alarm scheduler
 WWW=		https://www.kde.org/
 
-LIB_DEPENDS=	libical.so:devel/libical
+LIB_DEPENDS=	libical.so:devel/libical \
+		libvlc.so:multimedia/vlc
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 \
-		shebangfix tar:xz xorg
-USE_KDE=	auth bookmarks codecs completion config configwidgets \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 shebangfix tar:xz \
+		xorg
+USE_KDE=	auth bookmarks colorscheme codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes \
-		itemmodels itemviews jobwidgets kcmutils kdelibs4support kio \
-		notifications notifyconfig parts phonon service solid sonnet textwidgets \
-		unitconversion wallet widgetsaddons windowsystem xmlgui \
+		itemmodels itemviews jobwidgets kcmutils kio notifications \
+		notifyconfig parts phonon service solid sonnet \
+		statusnotifieritem texttemplate textwidgets unitconversion wallet \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicontacts akonadimime calendarcore \
-		calendarutils contacts globalaccel grantleetheme holidays identitymanagement \
-		idletime libkdepim mailcommon mailtransport mime \
-		pimcommon pimtextedit imap \
-		kdepim-runtime5:run
-USE_QT=		concurrent core dbus gui network printsupport widgets \
-		x11extras xml \
-		buildtools:build qmake:build
+USE_KDE+=	akonadi akonadicontacts akonadimime calendarcore calendarutils \
+		contacts globalaccel grantleetheme holidays identitymanagement \
+		idletime imap libkdepim mailcommon mailtransport mime \
+		pimcommon pimtextedit \
+		kdepim-runtime:run
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kalarm/distinfo b/deskutils/kalarm/distinfo
index b300b3485497..572b7c73d0a7 100644
--- a/deskutils/kalarm/distinfo
+++ b/deskutils/kalarm/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889445
-SHA256 (KDE/release-service/23.08.5/kalarm-23.08.5.tar.xz) = 09dff0fe2dc201377950a6dcc5e47989459b2ffa9a4e102e0c4df24241bd05bd
-SIZE (KDE/release-service/23.08.5/kalarm-23.08.5.tar.xz) = 2630096
+TIMESTAMP = 1734460047
+SHA256 (KDE/release-service/24.12.0/kalarm-24.12.0.tar.xz) = 699436c461b0b29aec3933b6c1b9e26345a53060f7558532da0689583735ef72
+SIZE (KDE/release-service/24.12.0/kalarm-24.12.0.tar.xz) = 2635624
diff --git a/deskutils/kalarm/pkg-plist b/deskutils/kalarm/pkg-plist
index 9a32df80dd73..7c9b6d6950bd 100644
--- a/deskutils/kalarm/pkg-plist
+++ b/deskutils/kalarm/pkg-plist
@@ -1,21 +1,18 @@
 bin/kalarm
 bin/kalarmautostart
 etc/xdg/autostart/kalarm.autostart.desktop
-lib/libexec/kauth/kalarm_helper
-lib/libkalarmcalendar.so.5
+lib/kconf_update_bin/kalarm-3.10.0-run_mode
+lib/libexec/kf6/kauth/kalarm_helper
+lib/libkalarmcalendar.so.6
 lib/libkalarmcalendar.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libkalarmplugin.so.5
+lib/libkalarmplugin.so.6
 lib/libkalarmplugin.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_PLUGINDIR%%/pim5/kalarm/akonadiplugin.so
+%%QT_PLUGINDIR%%/pim6/kalarm/akonadiplugin.so
 share/applications/org.kde.kalarm.desktop
 share/config.kcfg/kalarmconfig.kcfg
 share/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
 share/dbus-1/system-services/org.kde.kalarm.rtcwake.service
 share/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
-share/icons/breeze-dark/actions/16/show-today.svg
-share/icons/breeze-dark/actions/22/show-today.svg
-share/icons/breeze/actions/16/show-today.svg
-share/icons/breeze/actions/22/show-today.svg
 share/icons/hicolor/128x128/apps/kalarm.png
 share/icons/hicolor/16x16/apps/kalarm.png
 share/icons/hicolor/22x22/apps/kalarm.png
@@ -23,20 +20,13 @@ share/icons/hicolor/32x32/apps/kalarm.png
 share/icons/hicolor/48x48/apps/kalarm.png
 share/icons/hicolor/64x64/apps/kalarm.png
 %%DATADIR%%/icons/oxygen/16x16/actions/document-new-from-template.png
-%%DATADIR%%/icons/oxygen/16x16/actions/new-audio-alarm.png
-%%DATADIR%%/icons/oxygen/16x16/actions/new-command-alarm.png
-%%DATADIR%%/icons/oxygen/16x16/actions/show-today.svg
 %%DATADIR%%/icons/oxygen/22x22/actions/document-new-from-template.png
-%%DATADIR%%/icons/oxygen/22x22/actions/kalarm-disabled.png
-%%DATADIR%%/icons/oxygen/22x22/actions/kalarm-partdisabled.png
 %%DATADIR%%/icons/oxygen/22x22/actions/kalarm.png
-%%DATADIR%%/icons/oxygen/22x22/actions/new-audio-alarm.png
-%%DATADIR%%/icons/oxygen/22x22/actions/new-command-alarm.png
-%%DATADIR%%/icons/oxygen/22x22/actions/show-today.svg
-share/knotifications5/kalarm.notifyrc
-share/kxmlgui5/kalarm/kalarmui.rc
+share/kconf_update/kalarm.upd
+share/knotifications6/kalarm.notifyrc
 share/locale/af/LC_MESSAGES/kalarm.mo
 share/locale/ar/LC_MESSAGES/kalarm.mo
+share/locale/ast/LC_MESSAGES/kalarm.mo
 share/locale/be/LC_MESSAGES/kalarm.mo
 share/locale/bg/LC_MESSAGES/kalarm.mo
 share/locale/br/LC_MESSAGES/kalarm.mo
@@ -112,5 +102,5 @@ share/locale/zh_CN/LC_MESSAGES/kalarm.mo
 share/locale/zh_TW/LC_MESSAGES/kalarm.mo
 share/metainfo/org.kde.kalarm.appdata.xml
 share/polkit-1/actions/org.kde.kalarm.rtcwake.policy
-share/qlogging-categories5/kalarm.categories
-share/qlogging-categories5/kalarm.renamecategories
+share/qlogging-categories6/kalarm.categories
+share/qlogging-categories6/kalarm.renamecategories
diff --git a/deskutils/kcharselect/Makefile b/deskutils/kcharselect/Makefile
index e71d2f523692..f2e1d89041f5 100644
--- a/deskutils/kcharselect/Makefile
+++ b/deskutils/kcharselect/Makefile
@@ -9,12 +9,11 @@ WWW=		https://utils.kde.org/projects/kcharselect/
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons crash bookmarks \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth bookmarks codecs config configwidgets coreaddons crash \
 		doctools i18n widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/deskutils/kcharselect/distinfo b/deskutils/kcharselect/distinfo
index 18b109b3e277..21b194101b9e 100644
--- a/deskutils/kcharselect/distinfo
+++ b/deskutils/kcharselect/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889439
-SHA256 (KDE/release-service/23.08.5/kcharselect-23.08.5.tar.xz) = bf22326c021188261031219c95b507524e3c1f0875de2ca87cf2dc940de86386
-SIZE (KDE/release-service/23.08.5/kcharselect-23.08.5.tar.xz) = 384536
+TIMESTAMP = 1734460048
+SHA256 (KDE/release-service/24.12.0/kcharselect-24.12.0.tar.xz) = d0a746000f0ff810b89f6e9ba2b65cdce4f2cd92ccd3e108940f2a9af184de3f
+SIZE (KDE/release-service/24.12.0/kcharselect-24.12.0.tar.xz) = 477080
diff --git a/deskutils/kcharselect/pkg-plist b/deskutils/kcharselect/pkg-plist
index f8feb6eff18b..a0b45622e440 100644
--- a/deskutils/kcharselect/pkg-plist
+++ b/deskutils/kcharselect/pkg-plist
@@ -2,6 +2,7 @@ bin/kcharselect
 share/applications/org.kde.kcharselect.desktop
 share/locale/af/LC_MESSAGES/kcharselect.mo
 share/locale/ar/LC_MESSAGES/kcharselect.mo
+share/locale/ast/LC_MESSAGES/kcharselect.mo
 share/locale/be/LC_MESSAGES/kcharselect.mo
 share/locale/bg/LC_MESSAGES/kcharselect.mo
 share/locale/br/LC_MESSAGES/kcharselect.mo
diff --git a/deskutils/kdeconnect-kde/Makefile b/deskutils/kdeconnect-kde/Makefile
index f4cc03c1f4b9..39bb2961e6eb 100644
--- a/deskutils/kdeconnect-kde/Makefile
+++ b/deskutils/kdeconnect-kde/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kdeconnect-kde
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	3
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,27 +10,21 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	libfakekey.so:x11/libfakekey \
 		libwayland-client.so:graphics/wayland \
-		libKF5PulseAudioQt.so:audio/pulseaudio-qt@qt5
-BUILD_DEPENDS=	kpeoplevcard>0:net/kpeoplevcard \
-		${LOCALBASE}/include/linux/input.h:devel/evdev-proto \
-		wayland-protocols>=0:graphics/wayland-protocols \
-		kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
+		libKF6PulseAudioQt.so:audio/pulseaudio-qt@qt6
+BUILD_DEPENDS=	${LOCALBASE}/include/linux/input.h:devel/evdev-proto \
+		wayland-protocols>=0:graphics/wayland-protocols
 RUN_DEPENDS=	sshpass:security/sshpass \
-		sshfs:filesystems/sshfs \
-		kpeoplevcard>0:net/kpeoplevcard \
-		kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
+		sshfs:filesystems/sshfs
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		pkgconfig qca qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		localbase:ldflags pkgconfig qca qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons dbusaddons doctools guiaddons i18n iconthemes \
-		itemviews jobwidgets kcmutils kio kirigami2 notifications \
-		people qqc2-desktop-style service solid wayland widgetsaddons \
-		windowsystem xmlgui \
+		itemviews jobwidgets kcmutils kio kirigami-addons kirigami2 \
+		notifications package people qqc2-desktop-style service solid \
+		statusnotifieritem wayland widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui multimedia network \
-		quickcontrols2 testlib wayland widgets x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base connectivity multimedia
 USE_XORG=	ice sm x11 xext xtst
 USE_LDCONFIG=	${QT_QMLDIR}/org/kde/kdeconnect
 
diff --git a/deskutils/kdeconnect-kde/distinfo b/deskutils/kdeconnect-kde/distinfo
index a78c6fa5ad92..412f41780d06 100644
--- a/deskutils/kdeconnect-kde/distinfo
+++ b/deskutils/kdeconnect-kde/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889435
-SHA256 (KDE/release-service/23.08.5/kdeconnect-kde-23.08.5.tar.xz) = 4b42cd66f824b9ba2ddd09c7147b2abe6107ac866104033a78c0c46909300d64
-SIZE (KDE/release-service/23.08.5/kdeconnect-kde-23.08.5.tar.xz) = 657504
+TIMESTAMP = 1734460050
+SHA256 (KDE/release-service/24.12.0/kdeconnect-kde-24.12.0.tar.xz) = 33f40c531fa5d3f5398e9020fe8c1f8e49210127d2827ffbcdc3f942a10774d4
+SIZE (KDE/release-service/24.12.0/kdeconnect-kde-24.12.0.tar.xz) = 714468
diff --git a/deskutils/kdeconnect-kde/files/patch-core_backends_lan_lanlinkprovider.cpp b/deskutils/kdeconnect-kde/files/patch-core_backends_lan_lanlinkprovider.cpp
index 3681f8fbef67..47e10fb8326f 100644
--- a/deskutils/kdeconnect-kde/files/patch-core_backends_lan_lanlinkprovider.cpp
+++ b/deskutils/kdeconnect-kde/files/patch-core_backends_lan_lanlinkprovider.cpp
@@ -1,7 +1,7 @@
---- core/backends/lan/lanlinkprovider.cpp.orig	2022-11-30 00:45:32 UTC
+--- core/backends/lan/lanlinkprovider.cpp.orig	2023-12-18 22:14:59 UTC
 +++ core/backends/lan/lanlinkprovider.cpp
-@@ -255,6 +255,16 @@ void LanLinkProvider::udpBroadcastReceived()
-         }
+@@ -291,6 +291,16 @@ void LanLinkProvider::udpBroadcastReceived()
+         m_lastConnectionTime[deviceId] = now;
  
          int tcpPort = receivedPacket->get<int>(QStringLiteral("tcpPort"));
 +        // convert IPv6 addresses of type "v4-mapped" to IPv4
diff --git a/deskutils/kdeconnect-kde/files/patch-plugins_sftp_mounter.cpp b/deskutils/kdeconnect-kde/files/patch-plugins_sftp_mounter.cpp
index 60f8103d702b..5554b24703e9 100644
--- a/deskutils/kdeconnect-kde/files/patch-plugins_sftp_mounter.cpp
+++ b/deskutils/kdeconnect-kde/files/patch-plugins_sftp_mounter.cpp
@@ -1,15 +1,15 @@
---- plugins/sftp/mounter.cpp.orig	2024-02-10 04:18:49 UTC
+--- plugins/sftp/mounter.cpp.orig	2023-12-18 22:14:59 UTC
 +++ plugins/sftp/mounter.cpp
-@@ -130,7 +130,7 @@ void Mounter::onPackageReceived(const NetworkPacket &n
-                       << QStringLiteral("-o") << QStringLiteral("PubkeyAcceptedKeyTypes=+ssh-rsa") // https://bugs.kde.org/show_bug.cgi?id=443155
-                       << QStringLiteral("-o") << QStringLiteral("uid=") + QString::number(getuid()) << QStringLiteral("-o")
-                       << QStringLiteral("gid=") + QString::number(getgid()) << QStringLiteral("-o") << QStringLiteral("reconnect") << QStringLiteral("-o")
--                      << QStringLiteral("ServerAliveInterval=30") << QStringLiteral("-o") << QStringLiteral("password_stdin");
-+                      << QStringLiteral("ServerAliveInterval=30") << QStringLiteral("-o") << QStringLiteral("ssh_command=sshpass -p %1 %2").arg(np.get<QString>(QStringLiteral("password")), QStringLiteral("ssh"));
+@@ -128,7 +128,7 @@ void Mounter::onPacketReceived(const NetworkPacket &np
+                       << QStringLiteral("-o") << QStringLiteral("gid=") + QString::number(getgid())
+                       << QStringLiteral("-o") << QStringLiteral("reconnect")
+                       << QStringLiteral("-o") << QStringLiteral("ServerAliveInterval=30")
+-                      << QStringLiteral("-o") << QStringLiteral("password_stdin");
++                      << QStringLiteral("-o") << QStringLiteral("ssh_command=sshpass -p %1 %2").arg(np.get<QString>(QStringLiteral("password")), QStringLiteral("ssh"));
+     // clang-format on
  
      m_proc->setProgram(program, arguments);
- 
-@@ -138,8 +138,8 @@ void Mounter::onPackageReceived(const NetworkPacket &n
+@@ -137,8 +137,8 @@ void Mounter::onPacketReceived(const NetworkPacket &np
      m_proc->start();
  
      // qCDebug(KDECONNECT_PLUGIN_SFTP) << "Passing password: " << np.get<QString>("password").toLatin1();
diff --git a/deskutils/kdeconnect-kde/pkg-plist b/deskutils/kdeconnect-kde/pkg-plist
index cc88dc225615..e85a766fd988 100644
--- a/deskutils/kdeconnect-kde/pkg-plist
+++ b/deskutils/kdeconnect-kde/pkg-plist
@@ -4,12 +4,11 @@ bin/kdeconnect-handler
 bin/kdeconnect-indicator
 bin/kdeconnect-settings
 bin/kdeconnect-sms
+bin/kdeconnectd
 etc/xdg/autostart/org.kde.kdeconnect.daemon.desktop
-lib/libexec/kdeconnectd
 lib/libkdeconnectcore.so.%%KDE_APPLICATIONS_VERSION_SHORT%%
 lib/libkdeconnectcore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libkdeconnectinterfaces.so.%%KDE_APPLICATIONS_VERSION_SHORT%%
-lib/libkdeconnectinterfaces.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libkdeconnectinterfaces.a
 lib/libkdeconnectpluginkcm.so.%%KDE_APPLICATIONS_VERSION_SHORT%%
 lib/libkdeconnectpluginkcm.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/kdeconnect/kcms/kdeconnect_clipboard_config.so
@@ -31,7 +30,6 @@ lib/libkdeconnectpluginkcm.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_mprisremote.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_notifications.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_pausemusic.so
-%%QT_PLUGINDIR%%/kdeconnect/kdeconnect_photo.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_ping.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_presenter.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_remotecommands.so
@@ -47,13 +45,19 @@ lib/libkdeconnectpluginkcm.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_systemvolume.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_telephony.so
 %%QT_PLUGINDIR%%/kdeconnect/kdeconnect_virtualmonitor.so
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/kdeconnectfileitemaction.so
-%%QT_PLUGINDIR%%/kf5/kio/kdeconnect.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/kdeconnectfileitemaction.so
+%%QT_PLUGINDIR%%/kf6/kio/kdeconnect.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings_qwidgets/kcm_kdeconnect.so
 %%QT_QMLDIR%%/org/kde/kdeconnect/DBusProperty.qml
 %%QT_QMLDIR%%/org/kde/kdeconnect/PluginChecker.qml
 %%QT_QMLDIR%%/org/kde/kdeconnect/RemoteKeyboard.qml
+%%QT_QMLDIR%%/org/kde/kdeconnect/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kdeconnect/kdeconnectdeclarativeplugin.qmltypes
 %%QT_QMLDIR%%/org/kde/kdeconnect/libkdeconnectdeclarativeplugin.so
+%%QT_QMLDIR%%/org/kde/kdeconnect/private/findthisdevice/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kdeconnect/private/findthisdevice/kdeconnect_findthisdevice_qmlhelper.qmltypes
+%%QT_QMLDIR%%/org/kde/kdeconnect/private/findthisdevice/libkdeconnect_findthisdevice_qmlhelper.so
+%%QT_QMLDIR%%/org/kde/kdeconnect/private/findthisdevice/qmldir
 %%QT_QMLDIR%%/org/kde/kdeconnect/qmldir
 share/Thunar/sendto/kdeconnect-thunar.desktop
 share/applications/kcm_kdeconnect.desktop
@@ -111,8 +115,7 @@ share/kdeconnect/kdeconnect_pausemusic_config.qml
 share/kdeconnect/kdeconnect_runcommand_config.qml
 share/kdeconnect/kdeconnect_sendnotifications_config.qml
 share/kdeconnect/kdeconnect_share_config.qml
-share/knotifications5/kdeconnect.notifyrc
-share/kservices5/plasma-kdeconnect.desktop
+share/knotifications6/kdeconnect.notifyrc
 share/locale/ar/LC_MESSAGES/kdeconnect-app.mo
 share/locale/ar/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/ar/LC_MESSAGES/kdeconnect-core.mo
@@ -128,6 +131,21 @@ share/locale/ar/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/ar/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/ar/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/ar/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-app.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-cli.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-core.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-indicator.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-interfaces.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-kcm.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-kded.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-kio.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-nautilus-extension.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-plugins.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-settings.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/ast/LC_MESSAGES/kdeconnect-urlhandler.mo
+share/locale/ast/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/az/LC_MESSAGES/kdeconnect-app.mo
 share/locale/az/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/az/LC_MESSAGES/kdeconnect-core.mo
@@ -270,11 +288,21 @@ share/locale/en_GB/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/en_GB/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/en_GB/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/en_GB/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-app.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-cli.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-core.mo
 share/locale/eo/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-indicator.mo
 share/locale/eo/LC_MESSAGES/kdeconnect-interfaces.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-kcm.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-kded.mo
 share/locale/eo/LC_MESSAGES/kdeconnect-kio.mo
 share/locale/eo/LC_MESSAGES/kdeconnect-nautilus-extension.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-plugins.mo
 share/locale/eo/LC_MESSAGES/kdeconnect-settings.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/eo/LC_MESSAGES/kdeconnect-urlhandler.mo
+share/locale/eo/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/es/LC_MESSAGES/kdeconnect-app.mo
 share/locale/es/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/es/LC_MESSAGES/kdeconnect-core.mo
@@ -365,12 +393,28 @@ share/locale/gl/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/gl/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/gl/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/gl/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/he/LC_MESSAGES/kdeconnect-app.mo
+share/locale/he/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/he/LC_MESSAGES/kdeconnect-core.mo
+share/locale/he/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/he/LC_MESSAGES/kdeconnect-indicator.mo
+share/locale/he/LC_MESSAGES/kdeconnect-interfaces.mo
 share/locale/he/LC_MESSAGES/kdeconnect-kcm.mo
 share/locale/he/LC_MESSAGES/kdeconnect-kded.mo
 share/locale/he/LC_MESSAGES/kdeconnect-kio.mo
+share/locale/he/LC_MESSAGES/kdeconnect-nautilus-extension.mo
 share/locale/he/LC_MESSAGES/kdeconnect-plugins.mo
+share/locale/he/LC_MESSAGES/kdeconnect-settings.mo
+share/locale/he/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/he/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/he/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-app.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-cli.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-core.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-indicator.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-interfaces.mo
+share/locale/hi/LC_MESSAGES/kdeconnect-kcm.mo
 share/locale/hu/LC_MESSAGES/kdeconnect-app.mo
 share/locale/hu/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/hu/LC_MESSAGES/kdeconnect-core.mo
@@ -516,6 +560,21 @@ share/locale/lt/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/lt/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/lt/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/lt/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-app.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-cli.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-core.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-indicator.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-interfaces.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-kcm.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-kded.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-kio.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-nautilus-extension.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-plugins.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-settings.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/lv/LC_MESSAGES/kdeconnect-urlhandler.mo
+share/locale/lv/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/ml/LC_MESSAGES/kdeconnect-app.mo
 share/locale/ml/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/ml/LC_MESSAGES/kdeconnect-core.mo
@@ -561,6 +620,21 @@ share/locale/nn/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/nn/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/nn/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/nn/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-app.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-cli.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-core.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-fileitemaction.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-indicator.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-interfaces.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-kcm.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-kded.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-kio.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-nautilus-extension.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-plugins.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-settings.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/pa/LC_MESSAGES/kdeconnect-urlhandler.mo
+share/locale/pa/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/pl/LC_MESSAGES/kdeconnect-app.mo
 share/locale/pl/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/pl/LC_MESSAGES/kdeconnect-core.mo
@@ -714,13 +788,20 @@ share/locale/sv/LC_MESSAGES/kdeconnect-sms.mo
 share/locale/sv/LC_MESSAGES/kdeconnect-urlhandler.mo
 share/locale/sv/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-app.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-cli.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-core.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-fileitemaction.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-indicator.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-interfaces.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-kcm.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-kded.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-kio.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-nautilus-extension.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-plugins.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-settings.mo
 share/locale/ta/LC_MESSAGES/kdeconnect-sms.mo
+share/locale/ta/LC_MESSAGES/kdeconnect-urlhandler.mo
+share/locale/ta/LC_MESSAGES/plasma_applet_org.kde.kdeconnect.mo
 share/locale/tg/LC_MESSAGES/kdeconnect-fileitemaction.mo
 share/locale/tg/LC_MESSAGES/kdeconnect-kcm.mo
 share/locale/tg/LC_MESSAGES/kdeconnect-kded.mo
@@ -799,14 +880,12 @@ share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Connectivity.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/DeviceDelegate.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FindMyPhone.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml
-share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Photo.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/RemoteCommands.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/SMS.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Sftp.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Share.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/VirtualMonitor.qml
 share/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml
-share/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop
 share/plasma/plasmoids/org.kde.kdeconnect/metadata.json
-share/qlogging-categories5/kdeconnect-kde.categories
+share/qlogging-categories6/kdeconnect-kde.categories
 share/zsh/site-functions/_kdeconnect
